Node.js
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.resellerTopUps.payment("TOP_UP_ID");<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->resellerTopUps->payment('TOP_UP_ID');
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.resellerTopUps.payment("TOP_UP_ID")
curl --request GET \
--url https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": {
"method": "Bank Transfer (EU)",
"kind": "instructions",
"status": "review",
"asksProof": false,
"requiresPicture": false,
"amount": 100,
"currency": "USD",
"proof": {
"reference": "SEPA-KEYDEPOT-1107",
"picture": false,
"at": "2026-11-09T11:32:36+00:00"
}
},
"meta": {
"gateway": "custom_13f1c847c93d636d"
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}Resellers
Get a top-up's custom payment
A top-up paid with one of the store’s custom methods: the method, what the reseller sent with it (a reference, a picture) and where it stands (status review while it waits for the store). Null for a top-up paid any other way. meta.gateway is the method.
Needs the resellers.read permission (Read Resellers).
GET
/
stores
/
{storeId}
/
resellers
/
top-ups
/
{topUpId}
/
payment
Node.js
import Shoply from "@shoplygg/node";
const shoply = new Shoply({ apiKey: process.env.SHOPLY_API_KEY });
const result = await shoply.resellerTopUps.payment("TOP_UP_ID");<?php
require 'vendor/autoload.php';
$shoply = new Shoply\Client(['apiKey' => getenv('SHOPLY_API_KEY')]);
$result = $shoply->resellerTopUps->payment('TOP_UP_ID');
import shoply
client = shoply.Client() # reads SHOPLY_API_KEY
result = client.resellerTopUps.payment("TOP_UP_ID")
curl --request GET \
--url https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.shoply.gg/v1/stores/{storeId}/resellers/top-ups/{topUpId}/payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": null,
"code": null,
"data": {
"method": "Bank Transfer (EU)",
"kind": "instructions",
"status": "review",
"asksProof": false,
"requiresPicture": false,
"amount": 100,
"currency": "USD",
"proof": {
"reference": "SEPA-KEYDEPOT-1107",
"picture": false,
"at": "2026-11-09T11:32:36+00:00"
}
},
"meta": {
"gateway": "custom_13f1c847c93d636d"
}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}{
"success": false,
"message": "<string>",
"code": "<string>",
"data": null,
"errors": {}
}
